#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFortuenShopCFGData
{
	//编号
	int mID;
	//道具名称
	std::string mItemName;
	//道具id
	int mItemId;
	//道具数量
	int mItemCont;
	//兑换所需Id
	int mExchangeId;
	//兑换所需数量
	int mExchangeCount;
};

class M_ActivityFortuenShopCFG
{
public:
private:
	static std::auto_ptr<M_ActivityFortuenShopCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityFortuenShopCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFortuenShopCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFortuenShopCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFortuenShopCFGData> mMapData;
};
